Subject: [eman] AD review of draft-ietf-eman-rfc4133bis-05

From: Benoit Claise <[email-masked]>
Date: Fri, 11 Jan 2013 16:37:15 +0100

Andy, Dan, Juergen, Mouli,

Here is my review.
I'm sending this draft to IETF LC now.  Please insert this feedback part 
of it

_TECHNICAL_

entity3Compliance MODULE-COMPLIANCE
     STATUS  current
     DESCRIPTION
             "The compliance statement for SNMP entities that implement
             _version 3 and 4 (full compliance)_  of the Entity MIB."
     MODULE  -- this module
         MANDATORY-GROUPS {
                            entityPhysicalGroup,
                            entityPhysical2Group,
                            entityGeneralGroup,
                            entityNotificationsGroup
         }
         GROUP entityLogical2Group
         DESCRIPTION
             "Implementation of this group is not mandatory for agents
             that model all MIB object instances within a single naming
             scope."

Is this correct to say "version 3 and version 4"? Version 3 is now 
obsolete: how could we compliant?
I believe it only be "version 4 (full compliance)"
Should the name be changed from entity3Compliance to entity4Compliance?
I believe it makes sense since you have entity4CRCompliance later in the 
doc.

_EDITORIAL_

1.
OLD

        2.16.2. Modification to some of the MIB objects

Addition of a new MIB object to the entPhysicalTable - entPhysicalUUID. 
In comparison to entPhysicalUris the new object is read-only and 
restricted to a fixed size to allow only for RFC 4122 
<http://tools.ietf.org/html/rfc4122> [RFC4122 
<http://tools.ietf.org/html/rfc4122>] compliant values.

NEW

        2.16.2. Modification to some of the MIB objects

Addition of a new MIB object to the entPhysicalTable - entPhysicalUUID, 
which contains a  Universal Unique Identifier (UUID)
In comparison to entPhysicalUris the new object is read-only and 
restricted to a fixed size to allow only for RFC 4122 
<http://tools.ietf.org/html/rfc4122> [RFC4122 
<http://tools.ietf.org/html/rfc4122>] compliant values.

2.
Section 2.16.2
Add an extra "." at the end of the paragraph

    Creation of a new MODULE-COMPLIANCE module entity4CRCompliance for
    devices with constrained resources like batteries, which might
    require a limited number of objects to be supported
    (entPhysicalClass, entPhysicalName, entPhysicalUUID)

3.
remove (UUID) below

        2.16.3. New TC for Universal Unique Identifier

    Two new Textual Conventions (TC) UUID and UUIDorZero were created to
    represent a Universal Unique Identifier (UUID),

4.

entPhysicalUUID OBJECT-TYPE
     SYNTAX      UUIDorZero
     MAX-ACCESS  read-only
     STATUS      current
     DESCRIPTION
             "This object contains additional identification information
             about the physical entity.  The object contains a Universal
             Unique Identifier, the syntax of this object must conform
             to RFC 4122, section 4.1.

             A zero length octet string is returned if no UUID
              information is known."

Either remove "additional", or mention compared to what

Regards, Benoit (OPS AD)

---

From: Juergen Schoenwaelder <[email-masked]>
Date: Fri, 11 Jan 2013 17:20:37 +0100

On Fri, Jan 11, 2013 at 04:37:15PM +0100, Benoit Claise wrote:
> I'm sending this draft to IETF LC now.  Please insert this feedback
> part of it
> 
> 
> _TECHNICAL_
> 
> I believe it makes sense since you have entity4CRCompliance later in
> the doc.

Even worse, it seems the definition of already existing compliance
groups have changed and with that the number of mandatory groups. This
is not allowed per RFC 2580 section 7.
 
> Addition of a new MIB object to the entPhysicalTable -
> entPhysicalUUID. In comparison to entPhysicalUris the new object is
> read-only and restricted to a fixed size to allow only for RFC 4122
> Addition of a new MIB object to the entPhysicalTable -
> entPhysicalUUID, which contains a  Universal Unique Identifier
> (UUID)

Ideally, there would also be some guidance whether systems also
implementing entPhysicalUris are expected to report the UUID value
also as part of entPhysicalUris or not. Note also that RFC 4122 is
twice in the references, once normative and once informative.

/js

-- 
Juergen Schoenwaelder           Jacobs University Bremen gGmbH
Phone: +49 421 200 3587         Campus Ring 1, 28759 Bremen, Germany
Fax:   +49 421 200 3103         <http://www.jacobs-university.de/>

---

From: "Romascanu, Dan (Dan)" <[email-masked]>
Date: Sun, 13 Jan 2013 08:41:04 +0000

Hi,

Juergen comments are accurate. As this document is now under AD control, we should wait for instructions from Benoit about when to make the required changes. 

See more in-line. 

Regards,

Dan

> -----Original Message-----
> From: Juergen Schoenwaelder [mailto:j.schoenwaelder@jacobs-
> university.de]
> Sent: Friday, January 11, 2013 6:21 PM
> To: Benoit Claise
> Cc: [email-masked]; eman mailing list
> Subject: Re: [eman] AD review of draft-ietf-eman-rfc4133bis-05
> 

[[DR]] Right. We need to re-establish entity3Compliance exactly to what it was in RFC4133 and to create an entity4FullCompliance.

> > Either remove "additional", or mention compared to what
[[DR]] Removing seems fine to me. 

> implementing entPhysicalUris are expected to report the UUID value also
> as part of entPhysicalUris or not. 

[[DR]] Mouli - can you answer this? My take is that some agents may already report this information, and we do not want to change their implementations. 

> Note also that RFC 4122 is twice in
> the references, once normative and once informative.
> 
[[DR]] Normative seems the right place.

---

From: Benoit Claise <[email-masked]>
Date: Sun, 13 Jan 2013 10:28:43 +0100

Hi Dan,
> Juergen comments are accurate. As this document is now under AD control, we should wait for instructions from Benoit about when to make the required changes.
If you can make a new revision quickly, then do it. And I'll reply to 
the IETF LC email, mentioning the new version.
Otherwise, collect all the feedback and produce a new version after the LC.

Regards, Benoit

---

From: "Romascanu, Dan (Dan)" <[email-masked]>
Date: Sun, 13 Jan 2013 09:43:32 +0000

Hi, 

We can do one by tomorrow if Mouli is available. 

Regards,

Dan

> From: Benoit Claise [mailto:[email-masked]]
> Sent: Sunday, January 13, 2013 11:29 AM
> To: Romascanu, Dan (Dan)
> Cc: Juergen Schoenwaelder; [email-masked];
> eman mailing list
> > Juergen comments are accurate. As this document is now under AD
> control, we should wait for instructions from Benoit about when to make
> the required changes.
> >> groups have changed and with that the number of mandatory groups.
> >> This is not allowed per RFC 2580 section 7.
> >>
> >
> > [[DR]] Right. We need to re-establish entity3Compliance exactly to
> what it was in RFC4133 and to create an entity4FullCompliance.
> >
> >
> >>> _EDITORIAL_
> >>>
> >>> 1.
> >>> OLD
> >>>
> >>>
> >>>     Two new Textual Conventions (TC) UUID and UUIDorZero were
> >>> created
> >> to
> >> also as part of entPhysicalUris or not.
> > [[DR]] Mouli - can you answer this? My take is that some agents may
> already report this information, and we do not want to change their
> implementations.
> >

---

From: Juergen Quittek <[email-masked]>
Date: Mon, 14 Jan 2013 09:33:41 +0000

Hi all,

I could make these changes tomorrow and post a new version.
But I do not have the sources of the current version.

Mouli, can you send them?

Thanks,
    Juergen

On 13.01.13 10:28, "Benoit Claise" <[email-masked]> wrote:

>> [[DR]] Right. We need to re-establish entity3Compliance exactly to what
>>it was in RFC4133 and to create an entity4FullCompliance.
>>
>>
>>>> _EDITORIAL_
>>>>
>>>> 1.
>>>> OLD
>>>>
>>>>
>_______________________________________________
>eman mailing list
>[email-masked]
>https://www.ietf.org/mailman/listinfo/eman

---

From: Juergen Schoenwaelder <[email-masked]>
Date: Mon, 14 Jan 2013 10:38:09 +0100

> But I do not have the sources of the current version.

Benoit asked me to do a MIB doctors review and unfortunately there is
more to fix. I will post my review soon so you can get things into
reasonable shape tomorrow. In fact, I would appreciate if things can
be turned around quickly since loosing context is always a pain.

/js